Next: INT8, Previous: INT, Up: Intrinsic Procedures

### 8.126 `INT2` — Convert to 16-bit integer type

Description:
  Convert to a `KIND=2` integer type. This is equivalent to the standard `INT` intrinsic with an optional argument of `KIND=2`, and is only included for backwards compatibility.

  The `SHORT` intrinsic is equivalent to `INT2`.

Standard:
  GNU extension
Class:
  Elemental function
Syntax:
  `RESULT = INT2(A)`
Arguments:

  A | Shall be of type `INTEGER`, `REAL`, or `COMPLEX`.

Return value:
  The return value is a `INTEGER(2)` variable.
See also:
  INT, INT8, LONG